Bug 1285133 - zmap has broken deps
Summary: zmap has broken deps
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: zmap
Version: epel7
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-25 02:06 UTC by Orion Poplawski
Modified: 2016-03-19 21:54 UTC (History)
1 user (show)

Fixed In Version: zmap-2.1.1-1.fc23 zmap-2.1.1-1.fc22 zmap-2.1.1-1.el7 zmap-2.1.1-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-12 11:50:47 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2015-11-25 02:06:53 UTC
Description of problem:

Error: Package: zmap-1.2.1-1.el7.x86_64 (epel)
           Requires: libhiredis.so.0.10()(64bit)

This allows the zmap in current epel7 branch to build:

--- a/zmap.spec
+++ b/zmap.spec
@@ -48,6 +48,8 @@ scanning.
 %patch0 -p1
 # Custom flags from upstream should be put in the front as preferred.
 sed -i 's|${CMAKE_C_FLAGS} ${GCCWARNINGS}|${GCCWARNINGS} ${CMAKE_C_FLAGS}|g;s|${CMAKE_EXE_LINKER_FLAGS} ${LDHARDENING}|${LDHARDENING} ${CMAKE_EXE_LINKER_FLAGS}|g' CMakeLists.txt
+# EL7 has 2.8.11
+sed -i -e 's|2.8.12|2.8.11|' CMakeLists.txt

 %build
 %cmake -DWITH_JSON=ON     \

Comment 2 Fedora Update System 2016-03-02 22:18:14 UTC
zmap-2.1.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8d7d956fc2

Comment 3 Fedora Update System 2016-03-02 22:18:14 UTC
zmap-2.1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a115f5397c

Comment 4 Fedora Update System 2016-03-02 22:18:24 UTC
zmap-2.1.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-755ef7c3bf

Comment 5 Fedora Update System 2016-03-02 22:28:33 UTC
zmap-2.1.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b840880a6

Comment 6 Fedora Update System 2016-03-03 20:51:21 UTC
zmap-2.1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-755ef7c3bf

Comment 7 Fedora Update System 2016-03-03 20:52:57 UTC
zmap-2.1.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7b840880a6

Comment 8 Fedora Update System 2016-03-03 21:55:10 UTC
zmap-2.1.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8d7d956fc2

Comment 9 Fedora Update System 2016-03-03 21:58:12 UTC
zmap-2.1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a115f5397c

Comment 10 Fedora Update System 2016-03-12 11:50:43 UTC
zmap-2.1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-03-13 09:51:04 UTC
zmap-2.1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-03-19 21:27:08 UTC
zmap-2.1.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-03-19 21:54:15 UTC
zmap-2.1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.